Validate API Key
curl --request POST \
--url https://api.example.com/api/validate-api-key \
--header 'Authorization: <authorization>'import requests
url = "https://api.example.com/api/validate-api-key"
headers = {"Authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
fetch('https://api.example.com/api/validate-api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"organizationId": "<string>",
"createdById": {}
}Platform API
Validate API Key
Verify that an Outlit API key can authenticate Platform API requests
POST
/
api
/
validate-api-key
Validate API Key
Endpoint
POST https://app.outlit.ai/api/validate-api-key
Authentication
string
required
Outlit API key using the
Bearer ok_... format.Request Body
No request body is required when validating the API key from theAuthorization header.
Example
curl -X POST https://app.outlit.ai/api/validate-api-key \
-H "Authorization: Bearer ok_your_api_key"
Success Response
{
"valid": true,
"organizationId": "org_123",
"createdById": "user_123"
}
boolean
Whether the supplied API key is active and accepted.
string
Organization associated with the API key.
string | null
User that created the API key, when available.
Error Responses
Invalid or disabled keys return401:
{
"valid": false,
"error": "Invalid credentials"
}
400. Server-side validation failures return 500.Was this page helpful?
⌘I